rte_crypto_sym_xform(3)

NAME
rte_crypto_sym_xform

SYNOPSIS

#include <rte_crypto_sym.h>

  Data Fields

struct rte_crypto_sym_xform * next
enum rte_crypto_sym_xform_type type

Detailed Description

Symmetric crypto transform structure.

This is used to specify the crypto transforms required, multiple transforms can be chained together to specify a chain transforms such as authentication then cipher, or cipher then authentication. Each transform structure can hold a single transform, the type field is used to specify which transform is contained within the union

Definition at line 581 of file rte_crypto_sym.h.

Field Documentation

  struct rte_crypto_sym_xform* next
next xform in chain

Definition at line 582 of file rte_crypto_sym.h.

  enum rte_crypto_sym_xform_type type
xform type

Definition at line 584 of file rte_crypto_sym.h.

  struct rte_crypto_auth_xform auth
Authentication / hash xform

Definition at line 587 of file rte_crypto_sym.h.

  struct rte_crypto_cipher_xform cipher
Cipher xform

Definition at line 589 of file rte_crypto_sym.h.

  struct rte_crypto_aead_xform aead
AEAD xform

Definition at line 591 of file rte_crypto_sym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.